> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add-on

> The Add-on API allows developers to create and manage custom add-ons within the Mile V3 platform

## What is Add-on?

The Add-on API allows developers to create and manage custom add-ons within the Mile V3 platform. Add-ons enable dynamic functionality through JavaScript resources and custom icons, allowing organizations to extend platform capabilities with custom features and integrations.

**To see the details of add-on object, please follow [this link](/api-reference/objects/addon-object)**

## Key Features

<CardGroup cols={2}>
  <Card title="Create add-on" icon="plus" href="/api-reference/setting/addon/create-addon">
    POST /addon
  </Card>

  <Card title="Update add-on" icon="pen" href="/api-reference/setting/addon/update-addon">
    PUT /addon/{id}
  </Card>

  <Card title="Get add-on details" icon="list" href="/api-reference/setting/addon/get-addon-details">
    GET /addon/{id}
  </Card>

  <Card title="Delete add-on" icon="trash" href="/api-reference/setting/addon/delete-addon">
    DELETE /addon/{id}
  </Card>
</CardGroup>

## Related Resources

* [Add-on Object](/api-reference/objects/addon-object) - Add-on data structure
